Bug 738603 - SELinux is preventing /usr/sbin/httpd from 'name_bind' accesses on the tcp_socket port 81.
Summary: SELinux is preventing /usr/sbin/httpd from 'name_bind' accesses on the tcp_so...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0ef65ffde5f0ddbb2ca78ee5b64...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 10:46 UTC by Richard Marko
Modified: 2016-02-01 02:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-15 10:47:47 UTC


Attachments (Terms of Use)

Description Richard Marko 2011-09-15 10:46:54 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.1.0-0.rc5.git0.0.fc16.x86_64
reason:         SELinux is preventing /usr/sbin/httpd from 'name_bind' accesses on the tcp_socket port 81.
time:           Thu Sep 15 12:45:17 2011

description:
:Reporting test, please disregard
:
:SELinux is preventing /usr/sbin/httpd from 'name_bind' accesses on the tcp_socket port 81.
:
:*****  Plugin bind_ports (99.5 confidence) suggests  *************************
:
:If you want to allow /usr/sbin/httpd to bind to network port 81
:Then you need to modify the port type.
:Do
:# semanage port -a -t PORT_TYPE -p tcp 81
:    where PORT_TYPE is one of the following: ntop_port_t, http_cache_port_t, http_port_t, puppet_port_t, jboss_management_port_t.
:
:*****  Plugin catchall (1.49 confidence) suggests  ***************************
:
:If you believe that httpd should be allowed name_bind access on the port 81 tcp_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep httpd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:httpd_t:s0
:Target Context                system_u:object_r:reserved_port_t:s0
:Target Objects                port 81 [ tcp_socket ]
:Source                        httpd
:Source Path                   /usr/sbin/httpd
:Port                          81
:Host                          (removed)
:Source RPM Packages           httpd-2.2.21-1.fc16
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-21.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.1.0-0.rc5.git0.0.fc16.x86_64 #1
:                              SMP Fri Sep 9 14:33:44 UTC 2011 x86_64 x86_64
:Alert Count                   2
:First Seen                    Thu 15 Sep 2011 12:36:34 PM CEST
:Last Seen                     Thu 15 Sep 2011 12:36:34 PM CEST
:Local ID                      1e11fcab-8728-44c7-b592-56d7f7ca87b3
:
:Raw Audit Messages
:type=AVC msg=audit(1316082994.256:378): avc:  denied  { name_bind } for  pid=10489 comm="httpd" src=81 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:reserved_port_t:s0 tclass=tcp_socket
:
:
:type=SYSCALL msg=audit(1316082994.256:378): arch=x86_64 syscall=bind success=no exit=EACCES a0=3 a1=7fdd7801c778 a2=10 a3=7fff78724c0c items=0 ppid=1 pid=10489 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=httpd exe=/usr/sbin/httpd subj=system_u:system_r:httpd_t:s0 key=(null)
:
:Hash: httpd,httpd_t,reserved_port_t,tcp_socket,name_bind
:
:audit2allow
:
:#============= httpd_t ==============
:allow httpd_t reserved_port_t:tcp_socket name_bind;
:
:audit2allow -R
:
:#============= httpd_t ==============
:allow httpd_t reserved_port_t:tcp_socket name_bind;
:
:Reporting test, please disregard

Comment 1 Richard Marko 2011-09-15 10:47:47 UTC
Reporting test


Note You need to log in before you can comment on or make changes to this bug.